PT BMS MIGRATION & ENHANCEMENT - Support #3483

Redmine PMS untuk Deploy ke Dev BMS
03/06/2025 03:12 PM - Mr [kmal

Status: Deploy

Priority: High

Assignee: Muhammad Bintar
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

03/06/2025
03/07/2025
0%

0.00 hour
1.00 hour

Description
Dear mas bin,

Berikut redmine pengerjaan PMS, untuk kebutuhan deploy ke DEV. Package2 nya nanti boleh confirm ke mas azid juga ya mas bin

untuk lebih lengkapnya.

http://remote.minovais.com:3000/redmine/issues/3357
http://remote.minovais.com:3000/redmine/issues/3459
http://remote.minovais.com:3000/redmine/issues/3481
http://remote.minovais.com:3000/redmine/issues/3464
http:/remote.minovais.com:3000/redmine/issues/3239
http://remote.minovais.com:3000/redmine/issues/3410
http:/remote.minovais.com:3000/redmine/issues/3372

terima kasih.

History

#1 - 03/06/2025 03:27 PM - Kezia Pawitra Yulianti
- Due date set to 03/07/2025
- Status changed from New to Assigned

- Priority changed from Normal to High

catatan dr saya aja sedikit ya,
tolong pastikan package2 nya jangan ada yg ketinggalan ya.

harusnya ini ada di db semua gak ya zid? tolong d bantu ya zid biar smooth. bila perlu pakai checklist apa2 aja yg harus di eksekusi package nya.

Thanks

#2 - 03/07/2025 09:58 AM - M Azid Wahyudi

dear masbin , ini package lebih lengkapnya
package :

table fisik & sdatatable (newtable or nambah field)
- CPHRPAOQ049SUM (table baru)

- PHRPMIDXSCOR (nambah field dan data)

- PHRPAO0047 (nambah field) cuman table fisik aja

sdatatablefield

- PHRPA0047

- PHRPAOO47ESS

- PHRPAOO49ESS

- PHRPAOO51ESS

- PDSPMKPISUMMARY
- PDSPMSUMFINALESS
- PHRPMIDXSCOR

table settingan ESS buat pms_goal, pms_review , pms_final
- PCMWFDEFBIZDATA

- PCMWFDEFBIZFLOW

- PCMWFDEFBIZPROC

- PCMWFDEFFIELDPOS

- PCMWFDEFFLOW

- PCMWFDEFTABLEBODY
http://remote.minovais.com:3000/redmine/issues/3357
http://remote.minovais.com:3000/redmine/issues/3459
http://remote.minovais.com:3000/redmine/issues/3481
http://remote.minovais.com:3000/redmine/issues/3464
http://remote.minovais.com:3000/redmine/issues/3239
http://remote.minovais.com:3000/redmine/issues/3410
http://remote.minovais.com:3000/redmine/issues/3372

- PCMWFDEFTASK
- PCMWFDEFTASKCON
- PCMWFDICTSTRUCT (CPHRPA0049SUM)

query custparam

- PMSDefaultApprG

- PMSGetKPIFromJ

- pms_get_headerdet

- pms_kpi_sum

- WFGOALPARAMPERIOD
- PMSDefaultkPIG

- pms_getappraiser_pf_direct
- pms_qual_default

- pms_get_positiontype

- pms_getkpisum_goal

- pms_index_scor

- pms_index_app

notifikasi messagecatalog
- PMSGLO001
- PMSGL002
- PMSGL003
- PMSRF001
- PMSRF002
- PMSRF003
- PMSRF004
- PMSRF005

SDATAFIELDREFTXT
- POSTYP

- KPITSELFSCORE

- APPTSELFSCORE

- QUALTSELFSCORE
- QUALTAPPSCORE
- FINSELFSCORE

- FINAPPRSCORE

- INDEXSCORES

- ADJSCORE

- INDEXSCOREADJ

khusus HR
controller
- app/controller/performance/controllerperformance.js

table settingan HR
- PHRPMFORMPARAM

makasih

#3 - 03/10/2025 11:30 AM - Muhammad Bintar
- Assignee changed from Muhammad Bintar to M Azid Wahyudi

#4 - 03/10/2025 12:07 PM - M Azid Wahyudi
- Status changed from Assigned to Deploy
- Assignee changed from M Azid Wahyudi to Muhammad Bintar

#5 - 03/13/2025 10:58 AM - M Azid Wahyudi

custparam tambahan
- ApvDs1PMS
- ApvDs2PMS
- ApvDs3PMS
- condDs1max
- condDs2max

#6 - 03/13/2025 12:21 PM - Mr Ikmal

Dear mas bin,

mohon bantuannya, ada tambahan lagi untuk di deploy,
package :

API1 & API2 (MinovalS.MinovaES.Data.Element.dll)
#7 - 03/14/2025 02:46 PM - Mr Ikmal

berikut yang masih kurang juga mas bin untuk di deploy

SDATATABLEFIELD
Tablename: PDSPMSKOMENDS
